function ge(Obj){
	return document.getElementById(Obj);
}
//->
String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//
function jVal(lpStr){
	if(lpStr.trim().length==0){
		return parseFloat("0");
	}else{
		if(isNaN(lpStr)){
			return parseFloat("0");
		}else{
			return parseFloat(lpStr);
		}
	}
}
//
function CBO_FILL_X(lpCbo,lpArr,Vacio){	
	var j=-1;
	var Cbo=document.getElementById(lpCbo);
	//alert(Cbo.options.length);
	Cbo.options.length = 0;
	if(Vacio==1){
		j++;
		Cbo.options[j]= new Option ("", "");		
	}
	var Arr=lpArr.split("|");
	for(i=0;i<Arr.length;i++){				
		j++;
		if(jL(Arr[i])>0){
			Cbo.options[j]= new Option (Arr[i], Arr[i]);		
		}
	}
	if(Arr.length>0)Cbo.selectedIndex=0;
}
//
function CBO_FILL(lpCbo,lpArr,Vacio){	
	var j=-1;
	var Cbo=document.getElementById(lpCbo);
	//alert(Cbo.options.length);
	Cbo.options.length = 0;
	if(Vacio==1){
		j++;
		Cbo.options[j]= new Option ("", "");		
	}
	var Arr=lpArr.split("|");
	for(i=0;i<Arr.length;i++){		
		j++;
		Cbo.options[j]= new Option (Arr[i], Arr[i]);		
	}
	if(Arr.length>0)Cbo.selectedIndex=0;
}
//
function sv(O,lpVar,SF){	
	try{
		document.getElementById(O).value=lpVar;	
		if(SF!=undefined){
			jF(SF);
		}
		return true;
	} catch (e) {
		//alert("sv:"+O);
		return true;
	} 	
}
function GetHoraEx() {
    var d = new Date();
    var h = addZero(d.getHours());
    var m = addZero(d.getMinutes());
    var s = addZero(d.getSeconds());
    var r = h + ":" + m ;
	return r;
}
//->
function fAnular(){
	document.location='wsg:Funcion_no_disponible:CmdN';
	return;
	//	
	var id=gv("TxtId");
	var fv=gv("VenFec");
	if(jVal(id)==0){		
		document.location='wsg:No_se_puede_determinar_el_id_del_registro_activo:CmdN';
		return;
	}
	if(jL(fv)>0){		
		document.location='wsg:La_presente_evaluacion_culmino_en_venta_,_por_lo_tanto_no_se_puede_anular:CmdN';
		return;
	}
	document.location='wsg:OK:CmdN';
	return;
}
function h(Obj){
	ge(Obj).value="";
	ge(Obj).disabled=false;
	ge(Obj).style.backgroundColor="#FFFF66";
}
function ht(Obj){
	ge(Obj).value="";
	ge(Obj).disabled=false;
	ge(Obj).readOnly=false;
	ge(Obj).style.backgroundColor="#FFFF66";
}
function d(Obj){
	try{
		ge(Obj).value="";
		ge(Obj).disabled=true;
		ge(Obj).style.backgroundColor="#CCC";
	} catch (e) {
		//alert("d:"+Obj);
		return true;
	} 	
}
function TE_OC(){
	var id=gv("TxtId");
	if(jVal(id)>0)return;
	var Tip=gv("TipEva");
	//
	CBO_FILL("TipSol","|POST-PAGO|PRE-PAGO",0);	
	CBO_FILL("Abo","",0);
	CBO_FILL("Equ","",0);	
	CBO_FILL("Cuo","",0);	
	CBO_FILL("Plan","",0);	
	CBO_FILL("EquD","-",0);	
	//
	if(jL(Tip)==0){
		d("Abo");
		d("TipDoc");
		d("Dni");
		d("Nac");
		d("Lin");
		d("Nom");
		d("Ape");
		d("Ope");
		d("Tip");
		d("TipSol");
		d("Equ");		
		d("Cuo");
		d("Plan")
		CBO_FILL("EquD","",0);	
		d("EquD");		
		d("Obs");
		d("DirA");		
	}
	//
	if(Tip=="ALTA"){
		CBO_FILL("Abo","|SI|NO",0);
		h("Abo");
		ht("TipDoc");
		sv("TipDoc","DNI");
		ht("Dni");
		ht("Nac");
		sv("Nac","PERU");
		d("Lin");
		h("Nom");
		h("Ape");
		d("Ope");
		d("Tip");
		h("TipSol");
		h("Equ");		
		h("Cuo");
		h("Plan")
		CBO_FILL("EquD","-",0);	
		h("EquD");		
		ht("Obs");
		ht("DirA");
		sv("EquD","-");		
	}
	//
	if(Tip=="MIGRACION"){
		h("Abo");
		CBO_FILL("Abo","SI",0);
		sv("Abo","SI");
		ht("TipDoc");
		sv("TipDoc","DNI");
		ht("Dni");
		ht("Nac");
		sv("Nac","PERU");
		ht("Lin");		
		ht("Nom");
		ht("Ape");
		d("Ope");
		h("Tip");
		h("TipSol");	
		h("Equ");	
		h("Cuo");	
		h("Plan");	
		CBO_FILL("EquD","-",0);	
		h("EquD");
		ht("Obs");	
		ht("DirA");	
		sv("EquD","-");			
	}
	//
	if(Tip=="PORTABILIDAD"){
		CBO_FILL("Abo","|SI|NO",0);
		h("Abo");
		ht("TipDoc");
		sv("TipDoc","DNI");
		ht("Dni");
		ht("Nac");
		sv("Nac","PERU");
		ht("Lin");
		ht("Nom");
		ht("Ape");
		h("Ope");
		h("Tip");
		h("TipSol");
		h("Equ");
		h("Cuo");
		h("Plan");
		CBO_FILL("EquD","-",0);	
		h("EquD");
		ht("Obs");
		ht("DirA");
		sv("EquD","-");		
	}
	//
	if(Tip=="RENOVACION" || Tip=="MIGRACION"){
		CBO_FILL("Abo","SI",0);
		h("Abo");
		sv("Abo","SI");
		ht("TipDoc");
		sv("TipDoc","DNI");
		ht("Dni");
		ht("Nac");
		sv("Nac","PERU");
		ht("Lin");		
		d("Ope");
		h("Tip");
		h("TipSol");	
		h("Equ");	
		h("Cuo");	
		h("Plan");	
		CBO_FILL("EquD","-",0);	
		h("EquD");
		ht("Obs");
		ht("DirA");	
		sv("EquD","-");			
	}
	
	if(Tip=="RENOVACION"){
		CBO_FILL("Abo","SI",0);
		h("Abo");
		sv("Abo","SI");
		ht("TipDoc");
		sv("TipDoc","DNI");
		ht("Dni");
		ht("Nac");
		sv("Nac","PERU");
		ht("Lin");
		d("Nom");
		d("Ape");			
		d("Ope");
		h("Tip");
		h("TipSol");	
		h("Equ");	
		h("Cuo");	
		h("Plan");	
		CBO_FILL("EquD","-",0);	
		h("EquD");
		ht("Obs");	
		ht("DirA");	
		sv("EquD","-");			
	}
	
	if(Tip=="RECUPERACION"){
		CBO_FILL("Abo","SI",0);
		h("Abo");
		sv("Abo","SI");
		ht("TipDoc");
		sv("TipDoc","DNI");
		ht("Dni");
		ht("Nac");
		sv("Nac","PERU");
		ht("Lin");
		ht("Nom");
		ht("Ape");
		d("Ope");
		d("Tip");
		CBO_FILL("TipSol","POST-PAGO",0);
		h("TipSol");sv("TipSol","POST-PAGO");	
		CBO_FILL("Equ","CHIP-SUELTO",0);
		h("Equ");sv("Equ","CHIP-SUELTO");
		d("Cuo");
		d("Plan");	
		d("EquD");	
		CBO_FILL("EquD","",0);	
	}
	CBO_FILL("Plan","",0);
	var er=gv("TXT_ERROR");
	if(jVal(er)>0){
		return msg("msg:Error_de_conexion_cierre_la_aplicacion_y_vuelva_a_entrar:TipEva");
	}
}
//
function msg(MSG){
	document.location=MSG;return true;
}
//
function GetHora(){
	sv("Hor",GetHoraEx());
}
//
function fGuardar(){
	var per_id=gv("PER_ID");
	var id=gv("TxtId");	
	var tipeva=gv("TipEva");
	var abo=gv("Abo");
	var dni=gv("Dni");
	var lin=gv("Lin");
	var nom=gv("Nom");	
	var ape=gv("Ape");		
	var ope=gv("Ope");
	var tip=gv("Tip");
	var tipsol=gv("TipSol");
	var equ=gv("Equ");
	var cuo=gv("Cuo");
	var plan=gv("Plan");
	var equd=gv("EquD");
	var obs=gv("Obs");
	//	
	if(jVal(id)==0){
		if(jL(tipeva)==0){
			return msg("msg:Seleccione_el_tipo_de_evaluacion:TipEva");
		}
	}
	if(jVal(per_id)==0){		
		return msg("msg:Se_ha_perdido_la_conexion_cierre_la_aplicacion_y_vuelva_a_iniciar:CmdN");
	}
	//
	if(document.getElementById("TipEva").disabled==false){		
		if(tipeva=="ALTA"){
			if(jL(abo)==0){
				return msg("msg:Determine_si_el_cliente_tiene_alguna_otra_linea_abonada:Abo");
			}
			//
			if(!DNI_OK())return false;			
			//			
			if(jL(nom)==0){
				return msg('msg:Ingrese_el_nombre_del_cliente:Nom');
			}
			if(jL(ape)==0){
				return msg('msg:Ingrese_los_apellidos_del_cliente:Ape');
			}			
			if(jL(tipsol)==0){
				return msg('msg:Seleccione_el_tipo_de_linea_solicitada:TipSol');
			}			
			if(jL(equ)==0){
				return msg('msg:Determine_la_modalidad:Equ');
			}
			if(jL(cuo)==0){
				return msg('msg:Determine_si_desea_adquirir_el_equipo_en_cuotas:Equ');
			}
			if(jL(plan)==0){
				return msg('msg:Seleccione_un_plan:Plan');
			}
			if(jL(equd)==0){
				return msg('msg:Seleccione_un_equipo:EquD');
			}
			//
			document.location='msg:OK:Cod';
			return;			
		}
		//
		if(tipeva=="MIGRACION"){
			if(jL(abo)==0){
				return msg("msg:Determine_si_el_cliente_tiene_alguna_otra_linea_abonada:Abo");
			}
			//
			if(!DNI_OK())return false;			
			//
			if(jL(lin)==0){
				return msg('msg:Ingrese_el_numero_de_linea_a_migrar:Lin');
			}
			if(jL(nom)==0){
				return msg('msg:Ingrese_el_nombre_del_cliente:Nom');
			}
			if(jL(ape)==0){
				return msg('msg:Ingrese_los_apellidos_del_cliente:Ape');
			}			
			if(jL(tip)==0){
				return msg('msg:Determine_el_tipo_de_linea_actual:Tip');
			}
			if(jL(tipsol)==0){
				return msg('msg:Seleccione_el_tipo_de_linea_solicitado:TipSol');
			}
			
			if(jL(equ)==0){
				return msg('msg:Determine_si_desea_chip_suelto_o_con_equipo:Equ');
			}
			if(jL(cuo)==0){
				return msg('msg:Determine_si_desea_adquirir_el_equipo_en_cuotas:Equ');
			}
			if(tipsol=="PRE-PAGO"){
				if(cuo=="SI"){
					return msg('msg:Cuotas_no_disponible_para_PRE-PAGO:Cuo');
				}
			}else{
				if(equ=="NO"){
					if(cuo=="SI"){
						return msg('msg:Cuotas_solo_disponible_con_equipos:Cuo');
					}
				}
			}
			if(jL(plan)==0){
				return msg('msg:Determine_el_plan:Plan');
			}
			if(jL(equd)==0){
				return msg('msg:Seleccione_un_equipo_o_elija_el_guion:EquD');
			}
			document.location='msg:OK:Cod';
			return;			

		}
		if(tipeva=="RECUPERACION"){
			if(jL(abo)==0){
				return msg("msg:Determine_si_el_cliente_tiene_alguna_otra_linea_abonada:Abo");
			}
			//
			if(!DNI_OK())return false;			
			//
			if(jL(lin)==0){
				return msg('msg:Ingrese_el_numero_de_linea_a_recuperar:Lin');
			}
			if(jL(nom)==0){
				return msg('msg:Ingrese_el_nombre_del_cliente:Nom');
			}
			if(jL(ape)==0){
				return msg('msg:Ingrese_los_apellidos_del_cliente:Ape');
			}
			if(jL(tipsol)==0){
				return msg('msg:Seleccione_el_tipo_de_linea_solicitado:TipSol');
			}
			if(jL(equ)==0){
				return msg('msg:Determine_si_desea_chip_suelto_o_con_equipo:Equ');
			}
			document.location='msg:OK:Cod';
			return;		
		}
		//
		if(tipeva=="PORTABILIDAD"){
			if(jL(abo)==0){
				return msg("msg:Determine_si_el_cliente_tiene_alguna_otra_linea_abonada:Abo");
			}
			//
			if(!DNI_OK())return false;			
			//
			if(jL(lin)==0){
				return msg('msg:Ingrese_el_numero_de_linea_a_portar:Lin');
			}
			if(jL(nom)==0){
				return msg('msg:Ingrese_el_nombre_del_cliente:Nom');
			}
			if(jL(ape)==0){
				return msg('msg:Ingrese_los_apellidos_del_cliente:Ape');
			}			
			if(jL(ope)==0){
				return msg('msg:Seleccione_el_operador_cedente:Ope');
			}
			if(jL(tip)==0){
				return msg('msg:Determine_el_tipo_de_linea_cedente_o_actual:Tip');
			}
			if(jL(tipsol)==0){
				return msg('msg:Seleccione_el_tipo_de_linea_solicitado:TipSol');
			}
			if(jL(equ)==0){
				return msg('msg:Determine_si_desea_chip_suelto_o_con_equipo:Equ');
			}
			if(jL(cuo)==0){
				return msg('msg:Determine_si_desea_adquirir_el_equipo_en_cuotas:Equ');
			}
			if(tipsol=="PRE-PAGO"){
				if(cuo=="SI"){
					return msg('msg:Cuotas_no_disponible_para_PRE-PAGO:Cuo');
				}
			}else{
				if(equ=="NO"){
					if(cuo=="SI"){
						return msg('msg:Cuotas_solo_disponible_con_equipos:Cuo');
					}
				}
			}
			if(jL(plan)==0){
				return msg('msg:Determine_el_plan:Plan');
			}
			if(jL(equd)==0){
				return msg('msg:Seleccione_un_equipo_o_elija_el_guion:EquD');
			}
			document.location='msg:OK:Cod';
			return;			
		}
		if(tipeva=="RENOVACION"){
			if(jL(abo)==0){
				return msg("msg:Determine_si_el_cliente_tiene_alguna_otra_linea_abonada:Abo");
			}
			//
			if(!DNI_OK())return false;			
			//
			if(jL(lin)==0){
				return msg('msg:Ingrese_el_numero_de_linea_a_renovar:Lin');
			}
			if(jL(tip)==0){
				return msg('msg:Determine_el_tipo_de_linea_cedente_o_actual:Tip');
			}
			if(jL(tipsol)==0){
				return msg('msg:Seleccione_el_tipo_de_linea_solicitado:TipSol');
			}
			if(jL(equ)==0){
				return msg('msg:Determine_si_desea_chip_suelto_o_con_equipo:Equ');
			}
			if(jL(cuo)==0){
				return msg('msg:Determine_si_desea_adquirir_el_equipo_en_cuotas:Equ');
			}
			if(tipsol=="PRE-PAGO"){
				if(cuo=="SI"){
					return msg('msg:Cuotas_no_disponible_para_PRE-PAGO:Cuo');
				}
			}else{
				if(equ=="NO"){
					if(cuo=="SI"){
						return msg('msg:Cuotas_solo_disponible_con_equipos:Cuo');
					}
				}
			}
			if(jL(plan)==0){
				return msg('msg:Determine_el_plan:Plan');
			}
			if(jL(equd)==0){
				return msg('msg:Seleccione_un_equipo_o_elija_el_guion:EquD');
			}
			document.location='msg:OK:Cod';
			return;			
		}		
	}
	//
	if(document.getElementById("Pro").disabled==false){
		var pro=gv("Pro");
		var com=gv("VenCom");
		var ser=gv("VenSer");
		var num=gv("VenNum");
		var fec=gv("VenFec");
		var mod=gv("TXT_MOD");
		var ime=gv("Ime");
		var ici=gv("Ici");
		
		if(jL(pro)==0){
			document.location='msg:Determine_si_desea_proceder:Pro';
			return;
		}
		if(pro=="SI"){
			/*
			if(jL(com)==0){
				document.location='msg:Seleccione_un_comprobante_de_venta:VenCom';
				return;
			}
			if(jL(ser)==0){
				document.location='msg:Ingrese_la_serie_del_comprobante:VenSer';
				return;
			}
			if(jL(num)==0){
				document.location='msg:Ingrese_el_numero_de_comprobante:VenNum';
				return;
			}
			if(jL(fec)==0){
				document.location='msg:No_se_puede_determinar_la_fecha:VenFec';
				return;
			}
			if(jL(mod)==0){
				document.location='msg:No_se_puede_determinar_la_modalidad:VenCom';
				return;
			}
			if(mod=="PACK"){
				if(jL(ime)==0){
					document.location='msg:Ingrese_el_numero_de_IMEI:Ime';
					return;
				}	
				if(jL(ici)==0){
					document.location='msg:Ingrese_el_numero_de_ICCID:Ici';
					return;
				}
			}else{
				if(jL(ici)==0){
					document.location='msg:Ingrese_el_numero_de_ICCID:Ici';
					return;
				}				
			}
			*/
		}
		document.location='msg:OK:Cod';
		return;		
	}
	//
	
}
//
function Equ_OC(){
	var tie=gv("TipEva");
	var tis=gv("TipSol");
	var equ=gv("Equ");
	if(tie=="ALTA" || tie=="MIGRACION" || tie=="PORTABILIDAD" || tie=="RENOVACION"){
		if(jL(equ)==0){
			CBO_FILL("Cuo","",0);	
			CBO_FILL("Plan","",0);	
			CBO_FILL("EquD","-",0);	
		}else{
			if(tis=="PRE-PAGO"){			
				CBO_FILL("Plan","-",0);
				CBO_FILL("EquD","-",0);	
				if(equ=="CHIP SUELTO"){
					CBO_FILL("Cuo","NO",0);	
					CBO_FILL("EquD","-",0);	
				}
				if(equ=="PACK"){
					CBO_FILL("Cuo","NO",0);	
					FillEquipos();
				}
			}
			if(tis=="POST-PAGO"){			
				CBO_FILL("Plan","-",0);	
				CBO_FILL("EquD","-",0);	
				if(equ=="CHIP SUELTO"){
					CBO_FILL("Cuo","NO",0);
					FillEquipos();					
				}
				if(equ=="PACK"){
					CBO_FILL("Cuo","|NO|SI",0);					
				}
			}
		}
	}
	//
	Cuo_OC();
}
function Cuo_OC(){
	var cuo=gv("Cuo");
	if(jL(cuo)==0){
		CBO_FILL("Plan","",0);	
		CBO_FILL("EquD","-",0);	
	}else{	
		F_PLA();
		FillEquipos();
	}
}
function FillEquipos(){
	var mod=gv("Equ");
	if(jL(mod)==0){
		CBO_FILL("EquD","-",0);	
	}else{
		if(mod=="CHIP SUELTO"){
			CBO_FILL("EquD","-",0);	
		}else{
			CBO_FILL("EquD","-",0);	
		}
	}
}
function TipSol_OC(){
	var tie=gv("TipEva");
	var tis=gv("TipSol");
	if(tie=="ALTA" || tie=="MIGRACION" || tie=="PORTABILIDAD" || tie=="RENOVACION"){		
		if(tis=="PRE-PAGO"){			
			CBO_FILL("Equ","|CHIP SUELTO|PACK",0);	
			CBO_FILL("Cuo","NO",0);	
			CBO_FILL("Plan","-",0);				
		}else{
			if(tis=="POST-PAGO"){
				CBO_FILL("Equ","|CHIP SUELTO|PACK",0);	
				CBO_FILL("Cuo","NO|SI",1);	
				F_PLA();
			}else{
				CBO_FILL("Equ","",0);	
				CBO_FILL("Cuo","",0);	
				CBO_FILL("Plan","",0);	
				CBO_FILL("EquD","-",0);
			}
		}
	}
	//CADENA
	Equ_OC();
}
//
function F_PLA(){
	var tso=gv("TipSol");
	var tev=gv("TipEva");
	var equ=gv("Equ");
	var cuo=gv("Cuo");
	if(tso=="POST-PAGO"){
		var r=AX("03",tev,equ,cuo);
		if(r!="X"){
			CBO_FILL("Plan","-|"+r,0);	
		}else{
			CBO_FILL("Plan","-",0);	
		}
	}else{
		CBO_FILL("Plan","-",0);
	}

}
function GUARDAR(){
    if(document.getElementById("TipEva").disabled==false){
		SM("G_S_1");
		return;
	}
	if(document.getElementById("Pro").disabled==false){
		SM("G_S_3");
		return;
	}
}
function ANULAR(){
    SM("ANU");
}
function CboOk(Cbo){
	ge(Cbo).value="";
	ge(Cbo).disabled=false;
	ge(Cbo).style.backgroundColor="#FFFFFF";
}
function TxtOk(Txt){
	ge(Txt).value="";
	ge(Txt).readOnly=false;
	ge(Txt).style.backgroundColor="#FFFFFF";
}
function TxtX(Txt){
	ge(Txt).value="";
	ge(Txt).readOnly=true;
	ge(Txt).style.backgroundColor="#CCC";
}
function CboX(Cbo){
	ge(Cbo).value="";
	ge(Cbo).disabled=true;
	ge(Cbo).style.backgroundColor="#CCC";
}
function NUEVO(){
	sv("TxtId","");
	sv("TipEva","");
	h("TipEva");
	sv("Abo","");
	sv("TipDoc","");
	d("TipDoc");
	sv("Dni","");
	sv("Nac","");
	TE_OC();
	//
	sv("Cal","");
	sv("Sec","");
	sv("Pre","");
	sv("Ren","");
	sv("RenImp","");
	sv("Tot","");
	sv("FecOpe","");
	sv("ObsR","");	
	//
	d("Pro");
	d("Tel");
	d("Tel2");
	d("Tel3");
	d("Ema");
	d("Con");
	d("Dir");
	//
	sv("VenFec","");
	//
	d_n("l_1");
	d_n("l_2");
	d_n("l_3");
	d_n("l_4");
	d_n("l_4_5");
	d_n("l_4_6");
	d_n("l_5");
	d_n("l_6");
	d_n("l_7");
	d_n("l_8");
	d_n("l_9");
	d_n("l_10");
	d_n("l_11");
	d_n("l_12");
	d_n("l_13");
	d_n("l_14");
	d_n("l_20");
	//
	ge("CmdA").disabled=true;
	ge("CmdG").disabled=false;
	ge("CmdG2").disabled=false;
	//
	
}
//
function d_n(O){
	try{
		ge(O).style.display="none";
	}catch (e) {		
		return true;
	} 	
}
function d_i(O){
	try{
		ge(O).style.display="inline-block";	
	}catch (e) {		
		return true;
	} 	

}
//
function fNoProceder(){	 
	SM("NO_PROCEDER");
	return;
}
//
function Pro_OC(){
	var pro=gv("Pro");
	var mod=gv("TXT_MOD");
	//
	sv("Tel","");sv("Tel2","");sv("Tel3","");
	sv("Ema","");
	sv("Con","");sv("Dir",gv("DirA"));
	sv("VenCom","");sv("VenSer","");sv("VenNum","");
	sv("VenFec",gv("TXT_FEC"));
	sv("Ime","");sv("Ici","");
	//
	d_n("l_7");d_n("l_8");d_n("l_9");
	d_n("l_10");d_n("l_11");
	d_n("l_12");d_n("l_13");
	d_n("l_14");
	d_n("l_20");	
	if(pro=="SI"){
		d_i("l_7");d_i("l_8");
		d_i("l_9");d_i("l_10");
		d_i("l_11");d_i("l_12");
		if(mod=="PACK"){
			d_i("l_13");d_i("l_14");
		}else{
			d_n("l_13");d_i("l_14");
		}		
	}
}
//
function SetNac(){
	var td=gv("TipDoc");
	if(td=="DNI" || td=="RUC"){
		sv("Nac","PERU");
	}else{
		sv("Nac","");
	}
}
//
function DNI_OK(){
	var tip_doc=gv("TipDoc");
	var dni=gv("Dni");
	var nac=gv("Nac");	
	//
	if(jL(tip_doc)==0){
		msg("msg:Determine_el_tipo_de_documento_de_identidad:TipDoc");
		return false;
	}
	if(jL(dni)==0){
		if(tip_doc=="DNI"){
			msg('msg:Ingrese_el_numero_de_dni:Dni');
			return false;
		}
		if(tip_doc=="RUC"){
			msg('msg:Ingrese_el_numero_de_ruc:Dni');
			return false;
		}
		if(tip_doc=="PASAPORTE"){
			msg('msg:Ingrese_el_numero_de_pasaporte:Dni');
			return false;
		}				
		if(tip_doc=="C.E." || tip_doc=="CE"){
			msg('msg:Ingrese_el_numero_de_carnet_de_extranjeria:Dni');
			return false;
		}			
	}
	//
	if(tip_doc=="DNI"){
		if(jL(dni)!=8){
			msg('msg:El_numero_de_dni_debe_tener_8_digitos:Dni');
			return false;
		}
	}
	if(tip_doc=="RUC"){
		if(jL(dni)!=11){
			msg('msg:El_numero_de_ruc_debe_tener_11_digitos:Dni');
			return false;
		}
	}
	if(tip_doc=="PASAPORTE"){
		if(jL(dni)==0){
			msg('msg:Ingrese_el_numero_de_pasaporte:Dni');
			return false;
		}
	}
	if(tip_doc=="C.E." || tip_doc=="CE"){
		if(jL(dni)==0){
			msg('msg:Ingrese_el_numero_de_carnet_de_extranjeria:Dni');
			return false;
		}
	}
	if(tip_doc=="RUC" || tip_doc=="DNI"){
		if(nac!="PERU"){
			msg('msg:El_tipo_de_documento_es_dni_o_ruc_seleccione_como_nacionalidad_a_PERU:Nac');
			return false;
		}
	}else{
		if(jL(nac)==0){
			msg('msg:Seleccione_una_nacionalidad:Nac');
			return false;
		}else{
			if(nac=="PERU"){
				if(tip_doc=="PASAPORTE"){
					msg('msg:El_tipo_de_documento_es_pasaporte_seleccione_una_nacionalidad_distinta_a_PERU:Nac');
					return false;
				}else{
					msg('msg:El_tipo_de_documento_es_carnet_de_extranjeria_seleccione_una_nacionalidad_distinta_a_PERU:Nac');
					return false;
				}
			}
		}
	}
	//
	return true;
}